Package org.springframework.security.config.annotation.authentication.configurers.provisioning

# Class InMemoryUserDetailsManagerConfigurer<B extends ProviderManagerBuilder<B>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.authentication.AuthenticationManager,B>
org.springframework.security.config.annotation.authentication.configurers.userdetails.UserDetailsAwareConfigurer<B,U>
org.springframework.security.config.annotation.authentication.configurers.userdetails.AbstractDaoAuthenticationConfigurer<B,C,U>
org.springframework.security.config.annotation.authentication.configurers.userdetails.UserDetailsServiceConfigurer<B,C,org.springframework.security.provisioning.UserDetailsManager>
org.springframework.security.config.annotation.authentication.configurers.provisioning.UserDetailsManagerConfigurer<B,InMemoryUserDetailsManagerConfigurer<B>>
org.springframework.security.config.annotation.authentication.configurers.provisioning.InMemoryUserDetailsManagerConfigurer<B>

Type Parameters:
  `B` - the type of the `ProviderManagerBuilder` that is being configured

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.authentication.AuthenticationManager,B>`

public class InMemoryUserDetailsManagerConfigurer<B extends ProviderManagerBuilder<B>> extends UserDetailsManagerConfigurer<B,InMemoryUserDetailsManagerConfigurer<B>>
Configures an `AuthenticationManagerBuilder` to have in memory authentication. It also allows easily adding users to the in memory authentication.

Since:
  3.2

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.security.config.annotation.authentication.configurers.provisioning.UserDetailsManagerConfigurer

`UserDetailsManagerConfigurer.UserDetailsBuilder`

## Constructor Summary

Constructors
Constructor
Description
`InMemoryUserDetailsManagerConfigurer()`
Creates a new instance

## Method Summary

### Methods inherited from class org.springframework.security.config.annotation.authentication.configurers.provisioning.UserDetailsManagerConfigurer

`initUserDetailsService, withUser, withUser, withUser`

### Methods inherited from class org.springframework.security.config.annotation.authentication.configurers.userdetails.UserDetailsServiceConfigurer

`configure`

### Methods inherited from class org.springframework.security.config.annotation.authentication.configurers.userdetails.AbstractDaoAuthenticationConfigurer

`getUserDetailsService, passwordEncoder, userDetailsPasswordManager, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InMemoryUserDetailsManagerConfigurer

public InMemoryUserDetailsManagerConfigurer()
Creates a new instance